com.amazonaws.services.codebuild.model

## Class EnvironmentImage

- java.lang.Object
- - com.amazonaws.services.codebuild.model.EnvironmentImage

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentImage
    extends Object
    implements Serializable, Cloneable

Information about a Docker image that is managed by AWS CodeBuild.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentImage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentImage` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()` The Docker image's description.
`String` `getName()` The Docker image's name.
`int` `hashCode()`
`void` `setDescription(String description)` The Docker image's description.
`void` `setName(String name)` The Docker image's name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentImage` `withDescription(String description)` The Docker image's description.
`EnvironmentImage` `withName(String name)` The Docker image's name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentImage

    public EnvironmentImage()

### Method Detail

#### setName

    public void setName(String name)

The Docker image's name.

Parameters:
  `name` - The Docker image's name.

#### getName

    public String getName()

The Docker image's name.

Returns:
  The Docker image's name.

#### withName

    public EnvironmentImage withName(String name)

The Docker image's name.

Parameters:
  `name` - The Docker image's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

The Docker image's description.

Parameters:
  `description` - The Docker image's description.

#### getDescription

    public String getDescription()

The Docker image's description.

Returns:
  The Docker image's description.

#### withDescription

    public EnvironmentImage withDescription(String description)

The Docker image's description.

Parameters:
  `description` - The Docker image's description.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentImage clone()

Overrides:
  `clone` in class `Object`